/* dialog-quiz.h
 */


#ifndef HAVE_DIALOG_QUIZ_H
#define HAVE_DIALOG_QUIZ_H


typedef enum {

    QUIZ_ALL_CATEGORIES = 0,
    QUIZ_CURRENT_CATEGORY,
    QUIZ_N_CATEGORY_SELECTIONS

} QuizSelectCategories;


typedef enum {

    QUIZ_ALL_CARDS = 0,
    QUIZ_NEW_CARDS,
    QUIZ_EXPIRED_CARDS,
    QUIZ_NEW_AND_EXPIRED_CARDS,
    QUIZ_SELECTED_CARDS,
    QUIZ_N_CARD_SELECTIONS

} QuizSelectCards;


typedef struct _QuizInfo QuizInfo;

struct _QuizInfo {

    QuizSelectCategories  category_selection;
    QuizSelectCards       card_selection;
    gboolean              reverse;

};


void dialog_quiz (Ignuit *ig, GtkTreeView *treev, GtkListStore *ls,
            QuizInfo *info);


#endif /* HAVE_DIALOG_QUIZ_H */

